#include <iostream>
using namespace std;
#include<string>
#include<cmath>




int main(int argc, char** argv) 
{
	int n,k;
	cin>>n>>k;
	
	int a[n];
	
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	int b=0;
	for(int i=0;i<n;i++)
	{
		if(a[i]==k)
		b=i;
	}
	if(b==n-1)
	cout<<a[0];
	
	else
	cout<<a[b+1];
}